Create a new bank account
curl --request POST \
--url https://test.onlinecheckwriter.com/api/v3/bankAccounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"bankAccounts": [
{
"name": "Chase Bank",
"nickName": "Chase Bank",
"accountNumber": "10029841",
"addressLine1": "Test Address Line 1",
"addressLine2": "Test Address Line 2",
"phone": "900244400",
"city": "San Jose",
"state": "CA",
"zip": "95113",
"bankName": "Demo Bank",
"bankRoutingNumber": "021000021",
"bankAddress1": "Address 1",
"bankCity": "Dallas",
"bankState": "CA",
"bankZip": "75001",
"bankIdentity": "58756985",
"templateId": "qx5NZwjymj2n3l6"
}
]
}
'import requests
url = "https://test.onlinecheckwriter.com/api/v3/bankAccounts"
payload = { "bankAccounts": [
{
"name": "Chase Bank",
"nickName": "Chase Bank",
"accountNumber": "10029841",
"addressLine1": "Test Address Line 1",
"addressLine2": "Test Address Line 2",
"phone": "900244400",
"city": "San Jose",
"state": "CA",
"zip": "95113",
"bankName": "Demo Bank",
"bankRoutingNumber": "021000021",
"bankAddress1": "Address 1",
"bankCity": "Dallas",
"bankState": "CA",
"bankZip": "75001",
"bankIdentity": "58756985",
"templateId": "qx5NZwjymj2n3l6"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
bankAccounts: [
{
name: 'Chase Bank',
nickName: 'Chase Bank',
accountNumber: '10029841',
addressLine1: 'Test Address Line 1',
addressLine2: 'Test Address Line 2',
phone: '900244400',
city: 'San Jose',
state: 'CA',
zip: '95113',
bankName: 'Demo Bank',
bankRoutingNumber: '021000021',
bankAddress1: 'Address 1',
bankCity: 'Dallas',
bankState: 'CA',
bankZip: '75001',
bankIdentity: '58756985',
templateId: 'qx5NZwjymj2n3l6'
}
]
})
};
fetch('https://test.onlinecheckwriter.com/api/v3/bankAccounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Successfully created",
"data": {
"bankAccounts": [
{
"bankAccountId": "Q36gYVewBOP7Gdx7bDn",
"name": "test",
"nickName": "test",
"accountNumber": "123423432",
"isVerified": false,
"bankId": "kWx8ePPO30eK2Xz",
"addressLine1": "1 tet",
"addressLine2": null,
"city": "cty",
"state": "state",
"zip": "234244",
"phone": null,
"walletId": "8c6d6d4a-6fa8-4a68-9039-27cd3625f39e",
"createdDate": "11-18-2024"
}
]
}
}Bank Account
Create Bank Account
Allows you to create one or more bank accounts.
POST
/
bankAccounts
Create a new bank account
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Payload to create new bank accounts.
Show child attributes
Show child attributes
⌘I
